import { baseRequest } from "@/utils/request";
const request = (url, ...arg) =>
  baseRequest(`interactiveCommunication/` + url, ...arg);
const request1 = (url, ...arg) => baseRequest(`/sys/` + url, ...arg);
const request2 = (url, ...arg) => baseRequest(`/biz/` + url, ...arg);
export default {
  // 获取征集部门信息
  getUnitDict(data) {
    return request(
      "icPublicOpinionCollect/getIoDepartmentFunction",
      data,
      "get"
    );
  },
  // 获取机构字典
  getTissue(data) {
    return request1("org/orgTreeSelector", data, "get");
  },
  // Position
  getList(data) {
    return request2("dict/page", data, "get");
  },
};
